Redmine - Defect #8935

Password reset is required before a user can login after upgrading from 0.9.1 to 1.2.1
2011-07-28 14:02 - Matt H
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version:

Description

Hi,

I've completed a test upgrade from 0.9.1 to 1.2.1 and found that users cannot login without first resetting their passwords.
This doesn't seem to be documented in the upgrade steps or in any bugs; is this to be expected?

[root@garedmine redminel# RAILS_ENV=production ruby script/about

Storing outgoing emails configuration in config/email.yml is deprecated. You should now store it 1
n config/configuration.yml using the email_delivery setting.

About your application's environment

Ruby version 1.8.6 (i1386-1inux)
RubyGems version L3867

Rack version 1.1.1

Rails version 2.3.11

Active Record version 2.3.11

Active Resource version 2.3.11

Action Mailer version 2.3.11

Active Support version 2.3.11

Edge Rails revision unknown
Application root /opt/redmine-1.2.1
Environment production
Database adapter mysqgl

Database schema version 20110511000000

History

#1 - 2011-07-29 17:31 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Can not reproduce. Upgrade from 0.9.1 to 1.2.1 should not require password reset.

#2 - 2011-08-01 16:52 - Matt H

On further investigation, | discovered it was because | installed Rails: gem install rails -v=2.3.11
If | don't manually install Rails, the password does not need resetting.

#3 - 2013-03-17 16:02 - Daniel Felix

- Status changed from New to Closed

This one could be closed.

The issue is fairly outdated. The affected versions weren't supported anymore.

The author itself says that this issue is fixed by himself.
